Autor Tópico: Remoção de Programas  (Lida 1400 vezes)

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Remoção de Programas
« Online: 25 de Agosto de 2017, 16:08 »
Boa tarde!
Tentei instalar o Matlab mas ocorreu algum problema durante a instalação. Agora eu não consigo nem instalar nem remove-lo.
Toda vez que tento desinstala-lo aparece a seguinte janela:


│ A interface do MATLAB necessita saber onde o MATLAB está instalado nesse  │
 │ sistema. Isso pode ser especificado como um único diretório ou, no caso   │
 │ de múltiplas instalações do MATLAB, como uma expressão "glob" (qualquer   │
 │ expressão suportada pelo bash, incluindo operadores de combinação de      │
 │ padrões estendidos).                                                      │
 │                                                                           │
 │ Se, por exemplo, o executável do MATLAB está instalado em                 │
 │ /opt/matlab76/bin/matlab, por favor, informe "/opt/matlab76". Se existem  │
 │ múltiplas versões do MATLAB instaladas, você pode informar                │
 │ "/opt/matlab*" ou uma expressão similar. Somente combinações que          │
 │ realmente contenham um executável do MATLAB serão consideradas. Assim,    │
 │ uma expressão "glob" pode combinar com mais do que apenas diretórios de   │
 │ instalação do MATLAB sem efeitos colaterais negativos.


 E quando dou ok aparece:

           Configuração da interface do MATLAB
                Local(is) de instalação do MATLAB:             │
                                                               
                   __________________________________ │
                                                               
                          <Ok>               <Cancelar>   


Alguém poderia me ajudar? Isso está me impossibilitando instalar outros programas.
Agradeço desde já.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #1 Online: 25 de Agosto de 2017, 16:29 »
Não conheço ou utilizo concretamente o programa, mas podemos ver como se instala.

De onde você baixou o pacote para que se possa fazer igual e testar a instalação?

Note que o pacote que há no Ubuntu-Software, a lojinha do Ubuntu, não é o Matlab em si, é apenas um pacote para auxiliar na configuração.

Citar
This package does not provide MATLAB. Instead, it configures an existing MATLAB installation to integrate more comfortably in a Debian installation.

Não fui mais a fundo, mas salvo engano me pareceu um software pago.


Citar
Analyze and design your world
Get the full capabilities of MATLAB for USD 95.
Buy Simulink and add-ons for just USD 29 each.


Há alguma versão para se instalar e experimentar?

« Última modificação: 25 de Agosto de 2017, 16:39 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #2 Online: 25 de Agosto de 2017, 16:53 »
Bom, eu fui na Central de programas Ubuntu e digitei Matlab.
Cliquei em instalar sem querer primeramente os pacotes extras e depois o pacote completo, daí começou meu problema.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #3 Online: 25 de Agosto de 2017, 17:11 »
Bem, então a questão é apenas a remoção do pacote obtido na lojinha Ubuntu, já que não há Matlab oferecido nela e, sim, apenas um complemento.

Vamos ver o que há aí, faça esse comando numa janela de terminal e traga o resultado ao tópico.

Código: [Selecionar]
apt-cache policy matlab-support-dev
Indo adiante, se é isso que está instalado deverá ser possível remover da forma habitual:

Código: [Selecionar]
sudo apt-get remove matlab-support-dev

« Última modificação: 25 de Agosto de 2017, 17:13 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #4 Online: 25 de Agosto de 2017, 17:17 »
Faltou dizer, antes de mais nada verifique se seu sistema está íntegro e atualizado fazendo:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Ambos os comandos acima devem terminar sem erros de quaisquer espécie.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #5 Online: 25 de Agosto de 2017, 19:27 »
O sudo apt  update ocorreu normalmente , mas o sudo apt upgrade deu:
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'

Como devo proceder?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #6 Online: 25 de Agosto de 2017, 19:33 »
O sudo apt  update ocorreu normalmente , mas o sudo apt upgrade deu:
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'

Como devo proceder?

Faça exatamente como ele disse para fazer, execute o comando:

Código: [Selecionar]
sudo dpkg --configure -a
note que são dois hífens antes do --configure

Sempre melhor copiar com o mouse e colar no terminal (ou teclas Ctrl Shit V) evita erros de retranscrição.

Depois repita os comandos:

Código: [Selecionar]
sudo apt update&&sudo apt upgrade
Para ver se está mesmo tudo resolvido.
« Última modificação: 25 de Agosto de 2017, 19:38 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #7 Online: 25 de Agosto de 2017, 19:35 »
Dai entra nessa parte:

│ A interface do MATLAB necessita saber onde o MATLAB está instalado nesse  │
 │ sistema. Isso pode ser especificado como um único diretório ou, no caso   │
 │ de múltiplas instalações do MATLAB, como uma expressão "glob" (qualquer   │
 │ expressão suportada pelo bash, incluindo operadores de combinação de      │
 │ padrões estendidos).                                                      │
 │                                                                           │
 │ Se, por exemplo, o executável do MATLAB está instalado em                 │
 │ /opt/matlab76/bin/matlab, por favor, informe "/opt/matlab76". Se existem  │
 │ múltiplas versões do MATLAB instaladas, você pode informar                │
 │ "/opt/matlab*" ou uma expressão similar. Somente combinações que          │
 │ realmente contenham um executável do MATLAB serão consideradas. Assim,    │
 │ uma expressão "glob" pode combinar com mais do que apenas diretórios de   │
 │ instalação do MATLAB sem efeitos colaterais negativos.

 E quando dou ok aparece:

           Configuração da interface do MATLAB
                Local(is) de instalação do MATLAB:             │
                                                               
                   __________________________________ │
                                                               
                          <Ok>               <Cancelar>   

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #8 Online: 25 de Agosto de 2017, 19:41 »
Volte lá no post #3 e faça os comandos que estão lá mencionados.

Especialmente traga ao tópico o resultado do primeiro deles.

O que se pretende saber é se é mesmo aquele pacote que está instalado.

Se for, desinstale como está lá mencionado.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #9 Online: 25 de Agosto de 2017, 19:43 »
AI:
apt-cache policy matlab-support-dev
matlab-support-dev:
  Instalado: (nenhum)
  Candidato: 0.0.21
  Tabela de versão:
     0.0.21 500
        500 http://br.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://br.archive.ubuntu.com/ubuntu xenial/universe i386 Packages


Como devo proceder?
« Última modificação: 25 de Agosto de 2017, 19:46 por luv3 »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #10 Online: 25 de Agosto de 2017, 19:46 »
[apt-cache policy matlab-support-dev
matlab-support-dev:
  Instalado: (nenhum)
  Candidato: 0.0.21

Ora, pois, não era aquele matlab-support-dev que estava lá.

Então veja se é esse que está instalado:

Código: [Selecionar]
apt-cache policy matlab2tikz
Se estiver, desinstala fazendo:

Código: [Selecionar]
sudo apt remove matlab2tikz
« Última modificação: 25 de Agosto de 2017, 19:47 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #11 Online: 25 de Agosto de 2017, 19:49 »
Apareceu:
matlab2tikz:
  Instalado: (nenhum)
  Candidato: 0.4.7-1
  Tabela de versão:
     0.4.7-1 500
        500 http://br.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://br.archive.ubuntu.com/ubuntu xenial/universe i386 Packages

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #12 Online: 25 de Agosto de 2017, 19:51 »
Fez esse comando?

Código: [Selecionar]
sudo dpkg --configure -a
O que retornou dele no terminal?

(lembre-se, duplo hífen)
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline luv3

  • Usuário Ubuntu
  • *
  • Mensagens: 16
    • Ver perfil
Re:Remoção de Programas
« Resposta #13 Online: 25 de Agosto de 2017, 19:54 »
A versão que aparece na central de programas é: matlab-support 0.0.21
Creio que o pacote de extensão adicional instalado antes do programa em si foi: Linux Standard Base core support package (lsb-core)

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.442
    • Ver perfil
Re:Remoção de Programas
« Resposta #14 Online: 25 de Agosto de 2017, 19:56 »
A versão que aparece na central de programas é: matlab-support 0.0.21
Creio que o pacote de extensão adicional instalado antes do programa em si foi: Linux Standard Base core support package (lsb-core)

Ok, mas primeiro precisa estar funcionando corretamente a atualização do sistema, faça o dpkg como mencionado e vamos ver o retorno dele.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.